Bug 1228608 (CVE-2015-1791)

Summary: CVE-2015-1791 OpenSSL: Race condition handling NewSessionTicket
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: cdewolf, dandread, darran.lofthouse, jason.greene, jawilson, jclere, jdoyle, lgao, myarboro, pgier, pslavice, rsvoboda, security-response-team, slawomir, szidek, tmraz, twalsh, vtunka, weli
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20150611,reported=20150605,source=openssl,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/openssl=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl=affected,rhel-6/openssl098e=wontfix,rhel-7/openssl=affected,rhel-7/openssl098e=wontfix,eap-6/openssl=notaffected,jbews-1/openssl=wontfix,jbews-2/openssl=notaffected,jbews-3/openssl=notaffected,fedora-all/openssl=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A race condition was found in the session handling code of OpenSSL. This issue could possibly cause a multi-threaded TLS/SSL client using OpenSSL to double free session ticket data and crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:41:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1228618, 1228619, 1228620, 1228621, 1231051, 1242927, 1242932, 1242933, 1242934    
Bug Blocks: 1227577    
Attachments:
Description Flags
Proposed patch for CVE-2015-1791 none

Description Huzaifa S. Sidhpurwala 2015-06-05 10:20:25 UTC
The following was reported by OpenSSL upstream:

If a NewSessionTicket is received by a multi-threaded client when attempting to reuse a previous ticket then a race condition can occur potentially leading to a double free of the ticket data.

This issue affects all current OpenSSL versions: 1.0.2, 1.0.1, 1.0.0 and 0.9.8.

OpenSSL 1.0.2 users should upgrade to 1.0.2b
OpenSSL 1.0.1 users should upgrade to 1.0.1n
OpenSSL 1.0.0 users should upgrade to 1.0.0s
OpenSSL 0.9.8 users should upgrade to 0.9.8zg

This issue was discovered by Emilia Käsper of the OpenSSL development team. The fix was developed by Matt Caswell of the OpenSSL development team.


Acknowledgements:

Red Hat would like to thank the OpenSSL project for reporting this issue.

Comment 1 Huzaifa S. Sidhpurwala 2015-06-05 10:31:17 UTC
Created attachment 1035153 [details]
Proposed patch for CVE-2015-1791

Comment 4 Huzaifa S. Sidhpurwala 2015-06-12 04:16:49 UTC
Reference:

https://www.openssl.org/news/secadv_20150611.txt

Comment 5 Huzaifa S. Sidhpurwala 2015-06-12 05:56:10 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1231051]

Comment 6 errata-xmlrpc 2015-06-15 20:49:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1115 https://rhn.redhat.com/errata/RHSA-2015-1115.html

Comment 7 Huzaifa S. Sidhpurwala 2015-06-16 01:36:10 UTC
Statement:

This issue does NOT affect the version of OpenSSL package as shipped with Red Hat Enterprise Linux 5.

Comment 8 Fedora Update System 2015-06-21 00:19:16 UTC
openssl-1.0.1k-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-24 15:57:42 UTC
openssl-1.0.1k-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.